Bug Hunting Session
Bug 44010 - Frame borders not visible with text direction set vertical
Summary: Frame borders not visible with text direction set vertical
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: x86 (IA32) Windows (All)
: high major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:3.6.0 target:3.5.4
Keywords: regression
Depends on:
Blocks: 44768
  Show dependency treegraph
 
Reported: 2011-12-21 04:07 UTC by flychoppers
Modified: 2012-05-24 06:16 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file that contains the border can not be displayed. (9.92 KB, application/vnd.oasis.opendocument.text)
2011-12-21 04:07 UTC, flychoppers
Details
overengineered bugdoc (12.94 KB, application/vnd.oasis.opendocument.text)
2012-05-11 13:22 UTC, Michael Stahl (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description flychoppers 2011-12-21 04:07:38 UTC
Created attachment 54633 [details]
Sample file that contains the border can not be displayed.

The border of the frame can not be visible even though line arrangement, line style, weight and color are selected to clearly visible.
Sample file attached. This phenomenon appears when the text direction is set vertical. If the text direction is usual horizontal, from left to right, the border displays normally.
Comment 1 Takeshi Abe 2011-12-21 17:28:28 UTC
Reproduced with LibO 3.4.4 on Debian wheezy.
Comment 2 Cor Nouws 2012-01-11 02:45:50 UTC
(In reply to comment #0)

>  If the text direction is usual horizontal, from left to right, the
> border displays normally.

Can you pls tell me how you change the text direction?
Or in the first place: how you did set it vertical?
(I do not see the setting where I would apply it ;-) )
Comment 3 flychoppers 2012-03-22 03:14:43 UTC
This problem is observed both on LibreOffice Writer 3.4 and 3.5, both on Windows (XP 32 bit & Vista 64 bit) and Debian Squeeze.

Further investigation revealed that this problem occurs when the direction of the text flow inside the frame is set to “vertical”. 

Vertical writing can be enabled by setting following:

Tools – Options – Language setting – Languages -  Enabled for Asian languages 

By enabling this option, vertical text flow can be selected within frame option.

As of the time of release of L.O. 3.5.1, this problem has not fixed.
Comment 4 Michael Stahl (CIB) 2012-05-10 12:46:23 UTC
yay, another border painting regression
Comment 5 Michael Stahl (CIB) 2012-05-11 13:22:03 UTC
Created attachment 61467 [details]
overengineered bugdoc

hope this contains all relevant test cases
Comment 6 Michael Stahl (CIB) 2012-05-11 13:24:03 UTC
fixed on master
Comment 7 Not Assigned 2012-05-11 13:26:21 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f6d3a4045507d1496709c5cff8f359a0d0e8b29

fdo#44010: fix vertical text frame borders:
Comment 8 Not Assigned 2012-05-14 01:41:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52f5235a2aeb87ce211a1d3cae3ef51c82fea2bc&g=libreoffice-3-5

fdo#44010: fix vertical text frame borders:


It will be available in LibreOffice 3.5.4.
Comment 9 Cor Nouws 2012-05-24 06:16:07 UTC
in 3.5.4rc1